tekla二次開(kāi)發(fā)實(shí)例代碼_第1頁(yè)
tekla二次開(kāi)發(fā)實(shí)例代碼_第2頁(yè)
tekla二次開(kāi)發(fā)實(shí)例代碼_第3頁(yè)
全文預(yù)覽已結(jié)束

下載本文檔

版權(quán)說(shuō)明:本文檔由用戶提供并上傳,收益歸屬內(nèi)容提供方,若內(nèi)容存在侵權(quán),請(qǐng)進(jìn)行舉報(bào)或認(rèn)領(lǐng)

文檔簡(jiǎn)介

1、精選優(yōu)質(zhì)文檔-傾情為你奉上在Tekla的安裝目錄(D:TeklaStructures13.0ntbinplugins)中為我們提供了.Net API接口,利用這些接口,可以實(shí)現(xiàn)對(duì)Tekla模型的控制和修改操作。本貼將講述一個(gè)最簡(jiǎn)單的在Tekla中創(chuàng)建梁對(duì)象的示例,通過(guò)一個(gè)按鈕在運(yùn)行的Tekla進(jìn)程中快速創(chuàng)建模型。需要注意的是,運(yùn)行此示例程序時(shí)Tekla程度需要打開(kāi)一個(gè)模型。要連接Tekla模型數(shù)據(jù)庫(kù),需要在C#中添加“Tekla.Structures.Model”的引用,按鈕下代碼如下(C#):private void button1_Click(object s

2、ender, EventArgs e)                      Model M = new Model();             if (M.GetConne

3、ctionStatus()/判斷是否獲取了Tekla進(jìn)程                              Tekla.Structures.Point Pt1 =         

4、                      new Tekla.Structures.Point(0,0,0);                 Tekla.Structures.Point 

5、;Pt2 =                               new Tekla.Structures.Point(6000,0,0);          &

6、#160;      Tekla.Structures.Point Pt3 =                               new Tekla.Structures.Point(600

7、0, 3000, 0);                 Tekla.Structures.Point Pt4 =                       

8、        new Tekla.Structures.Point(0, 3000, 0);                  Tekla.Structures.Point Pt5 =        

9、0;                      new Tekla.Structures.Point(0, 0, 3000);                 Tekla.Stru

10、ctures.Point Pt6 =                               new Tekla.Structures.Point(6000, 0, 3000);     

11、;            Tekla.Structures.Point Pt7 =                               new

12、 Tekla.Structures.Point(6000, 3000, 3000);                 Tekla.Structures.Point Pt8=                  &

13、#160;            new Tekla.Structures.Point(0,3000, 3000);                  Beam C1 = new Beam(Pt1,Pt5);  

14、0;              Beam C2 = new Beam(Pt2,Pt6);                 Beam C3 = new Beam(Pt3,Pt7);  

15、0;              Beam C4 = new Beam(Pt4, Pt8);                  C1.Profile.ProfileString = "HM440*300

16、*11*18"                 C2.Profile.ProfileString = "HM440*300*11*18"                 C3.Profile.ProfileSt

17、ring = "HM440*300*11*18"                 C4.Profile.ProfileString = "HM440*300*11*18"               

18、   C1.Material.MaterialString = "Q235B"                 C2.Material.MaterialString = "Q235B"           &#

19、160;     C3.Material.MaterialString = "Q235B"                 C4.Material.MaterialString = "Q235B"        

20、0;         C1.Name = "Column"                 C2.Name = "Column"           

21、      C3.Name = "Column"                 C4.Name = "Column"              &#

22、160;   C1.Position.Depth = Position.DepthEnum.MIDDLE;                 C2.Position.Depth = Position.DepthEnum.MIDDLE;          

23、0;      C3.Position.Depth = Position.DepthEnum.MIDDLE;                 C4.Position.Depth = Position.DepthEnum.MIDDLE;        

24、          Beam B1 = new Beam(Pt5, Pt6);                 Beam B2 = new Beam(Pt6, Pt7);     

25、            Beam B3 = new Beam(Pt7, Pt8);                 Beam B4 = new Beam(Pt8, Pt5);   

26、                              B1.Profile.ProfileString = "HN400*200*8*13"         

27、60;       B2.Profile.ProfileString = "HN400*200*8*13"                 B3.Profile.ProfileString = "HN400*200*8*13"    

28、60;            B4.Profile.ProfileString = "HN400*200*8*13"                           

29、      B1.Material.MaterialString = "Q235B"                 B2.Material.MaterialString = "Q235B"        &#

30、160;        B3.Material.MaterialString = "Q235B"                 B4.Material.MaterialString = "Q235B"     

31、0;            B1.Name = "Beam"                 B2.Name = "Beam"                 B3.Name = "Beam"                 B4.Name = "Beam"            &#

溫馨提示

  • 1. 本站所有資源如無(wú)特殊說(shuō)明,都需要本地電腦安裝OFFICE2007和PDF閱讀器。圖紙軟件為CAD,CAXA,PROE,UG,SolidWorks等.壓縮文件請(qǐng)下載最新的WinRAR軟件解壓。
  • 2. 本站的文檔不包含任何第三方提供的附件圖紙等,如果需要附件,請(qǐng)聯(lián)系上傳者。文件的所有權(quán)益歸上傳用戶所有。
  • 3. 本站RAR壓縮包中若帶圖紙,網(wǎng)頁(yè)內(nèi)容里面會(huì)有圖紙預(yù)覽,若沒(méi)有圖紙預(yù)覽就沒(méi)有圖紙。
  • 4. 未經(jīng)權(quán)益所有人同意不得將文件中的內(nèi)容挪作商業(yè)或盈利用途。
  • 5. 人人文庫(kù)網(wǎng)僅提供信息存儲(chǔ)空間,僅對(duì)用戶上傳內(nèi)容的表現(xiàn)方式做保護(hù)處理,對(duì)用戶上傳分享的文檔內(nèi)容本身不做任何修改或編輯,并不能對(duì)任何下載內(nèi)容負(fù)責(zé)。
  • 6. 下載文件中如有侵權(quán)或不適當(dāng)內(nèi)容,請(qǐng)與我們聯(lián)系,我們立即糾正。
  • 7. 本站不保證下載資源的準(zhǔn)確性、安全性和完整性, 同時(shí)也不承擔(dān)用戶因使用這些下載資源對(duì)自己和他人造成任何形式的傷害或損失。

最新文檔

評(píng)論

0/150

提交評(píng)論